#ifndef DUCHAMP_PREPROCESS_ATROUS_1D_H_
#define DUCHAMP_PREPROCESS_ATROUS_1D_H_

namespace duchamp
{

    class AtrousReconstructor1D : public AtrousReconstructor
    {
    public:
	AtrousReconstructor1D();
	AtrousReconstructor1D(Param &par);
	AtrousReconstructor1D(const AtrousReconstructor1D& other);
	AtrousReconstructor1D& operator1D= (const AtrousReconstructor1D& other);
	virtual ~AtrousReconstructor1D();

	void initialise();
	void process();

	void reconstruct();  // loop over all spectra to reconstruct a full cube
	void reconstruct1d(std::vector<size_t> loc); // do the reconstruction for a single spectrum

    protected:

    };

}

#endif
